## org.jvnet.hudson.reactor
Interface Task

All Superinterfaces:
  Executable

    public interface Task

extends Executable

One initialization task

Author:
  Kohsuke Kawaguchi

Field Summary

Fields inherited from interface org.jvnet.hudson.reactor.Executable
`NOOP`

Method Summary
`java.util.Collection<? extends Milestone>` `attains()` Indicates the milestones that this initializer contributes.
`boolean` `failureIsFatal()` Returns true if the failure of this task is fatal and should break the reactor.
`java.lang.String` `getDisplayName()` Human readable description of this task.
`java.util.Collection<? extends Milestone>` `requires()` Indicates the milestones necessary before executing this.

Methods inherited from interface org.jvnet.hudson.reactor.Executable
`run`

Method Detail

### requires

    java.util.Collection<? extends Milestone> requires()

  Indicates the milestones necessary before executing this.

### attains

    java.util.Collection<? extends Milestone> attains()

  Indicates the milestones that this initializer contributes. A milestone is considered attained if all the initializers that attains the given milestone completes. So it works as a kind of join.

### getDisplayName

    java.lang.String getDisplayName()

  Human readable description of this task. Used for progress report.

  Returns:
    null to indicate that this task doesn't have any significant to humans.

### failureIsFatal

    boolean failureIsFatal()

  Returns true if the failure of this task is fatal and should break the reactor. If false, the failure is sent to the listener but the successive tasks will be started as if this task was successful (and eventually resulting in the completion of the reactor execution, provided that no other fatal failures occur.)

Copyright © 2011. All Rights Reserved.